%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-msc
Version:          1.2.0
Release:          %mkrel 0.3%{namedreltag}.4
Summary:          JBoss Modular Service Container
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-msc
Source0:          https://github.com/jbossas/jboss-msc/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    javassist
BuildRequires:    jboss-parent
BuildRequires:    junit4
BuildRequires:    byteman
BuildRequires:    jboss-logging
BuildRequires:    jboss-vfs
BuildRequires:    jboss-threads
BuildRequires:    jboss-logging-tools
BuildRequires:    maven-injection-plugin
BuildRequires:    jboss-modules
BuildRequires:    apiviz

%description
This package contains the JBoss Modular Service Container.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-msc-%{namedversion}

%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-surefire-plugin']/pom:executions/pom:execution[pom:id = 'rejected-execution-test']/pom:configuration/pom:argLine"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-surefire-plugin']/pom:executions/pom:execution[pom:id = 'rejected-execution-test']/pom:configuration" "<argLine>-Xbootclasspath/a:$(build-classpath jboss-logmanager) -- -javaagent:$(build-classpath byteman/byteman)=boot:$(build-classpath byteman/byteman),script:\${project.build.testOutputDirectory}/org/jboss/msc/racecondition/RejectedExecutionTestCase.btm</argLine>"

%build
# Some failed tests, most probably because network limitations on Koji
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-0.3.Beta1.4.mga5
+ Revision: 740644
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-0.3.Beta1.2.mga4
+ Revision: 541949
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.2.0-0.3.Beta1.1.mga4
+ Revision: 496581
- New version
- Fix BuildRequires
- Fix buildrequires
- Fix buildrequires
- Clean spec file

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - update to 1.0.1.GA
    - imported package jboss-msc


* Tue Jul 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

